package com.iamberry.wechat.core.entity.member;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

public class CashLog implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -881495696660817166L;
	
	private Integer cashLogsId;					//id
	private String cashLogsOpenid;				//所属用户
	private Integer cashLogsNum;				//记录金额
	private Integer cashLogsType;				//记录类型		1:收入	2:支出
	
	private String cashLogsIntroduction;		//记录简介
	private Integer cashLogsResType;			//记录来源类型	1:订单收入 2:提现支出 3:订单支出 4:线下返利 5:退订返还;6任务奖励
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")  
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")  
	private Date cashLogsCreateDate;			//创建时间
	private String cashLogsOrderid;				//现金操作的单号 如：返利的订单号、提现的Id
	
	private PageBean page = new PageBean();
	
	public Integer getCashLogsId() {
		return cashLogsId;
	}
	public void setCashLogsId(Integer cashLogsId) {
		this.cashLogsId = cashLogsId;
	}
	public String getCashLogsOpenid() {
		return cashLogsOpenid;
	}
	public void setCashLogsOpenid(String cashLogsOpenid) {
		this.cashLogsOpenid = cashLogsOpenid;
	}
	public Integer getCashLogsNum() {
		return cashLogsNum;
	}
	public void setCashLogsNum(Integer cashLogsNum) {
		this.cashLogsNum = cashLogsNum;
	}
	public Integer getCashLogsType() {
		return cashLogsType;
	}
	public void setCashLogsType(Integer cashLogsType) {
		this.cashLogsType = cashLogsType;
	}
	public String getCashLogsIntroduction() {
		return cashLogsIntroduction;
	}
	public void setCashLogsIntroduction(String cashLogsIntroduction) {
		this.cashLogsIntroduction = cashLogsIntroduction;
	}
	public Integer getCashLogsResType() {
		return cashLogsResType;
	}
	public void setCashLogsResType(Integer cashLogsResType) {
		this.cashLogsResType = cashLogsResType;
	}
	public Date getCashLogsCreateDate() {
		return cashLogsCreateDate;
	}
	public void setCashLogsCreateDate(Date cashLogsCreateDate) {
		this.cashLogsCreateDate = cashLogsCreateDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public String getCashLogsOrderid() {
		return cashLogsOrderid;
	}
	public void setCashLogsOrderid(String cashLogsOrderid) {
		this.cashLogsOrderid = cashLogsOrderid;
	}
	@Override
	public String toString() {
		return "CashLog [cashLogsId=" + cashLogsId + ", cashLogsOpenid="
				+ cashLogsOpenid + ", cashLogsNum=" + cashLogsNum
				+ ", cashLogsType=" + cashLogsType + ", cashLogsIntroduction="
				+ cashLogsIntroduction + ", cashLogsResType=" + cashLogsResType
				+ ", cashLogsCreateDate=" + cashLogsCreateDate
				+ ", cashLogsOrderid=" + cashLogsOrderid + ", page=" + page
				+ "]";
	}
	
}
